Skip to main content
GET
cURL

Query Parameters

install
boolean

Install the upgrade.

custom
boolean

Allow custom upgrade as default.

upload_sw_bundle
string

To upload controller software bundle.

log_file
string

Full path of the progress log file.

dry_run
boolean

Perform dry run of upgrade.

go
boolean

Perform upgrade over conduit.

gateway_list
string

Default value is upgrade everything, otherwise only upgrade gateways specified.

platform_only
boolean

Get platform upgrade status only.

force_upgrade
boolean

Bypass check for controller & gateway on same build before upgrading controller, temporarily for development, disabled by default.

migration_timeout
integer

Timeout in seconds for controller migration steps during upgrade. Default: 7200 seconds.

action
string

The API action to perform. Required for 7.2 controllers only.

CID
string

The opaque session ID token. Required for 7.2 controllers only.

Response

General v2 API response schema.

A generic API response container for v2 style APIs.

errortype
string

Error type if the API failed.

reason
string

Failure reason if the API failed.

results

API response data

return
boolean

Whether the API returned successfully